// Copyright (c) 2023 Tudor Stanciu

import { combineUrls } from "./utils/validations";

export type UrlTemplates = {
  login: string;
  logout: string;
  userInfo: string;
};

const getUrlTemplates = (tuitioUrl: string): UrlTemplates => ({
  login: combineUrls(tuitioUrl, "/account/login?UserName={username}&Password={password}"),
  logout: combineUrls(tuitioUrl, "/account/logout?Token={token}"),
  userInfo: combineUrls(tuitioUrl, "/connect/user-info")
});

export { getUrlTemplates };
